Loading...
Searching...
No Matches
osmium::unknown_type Struct Reference

`#include <item_type.hpp>`

Inheritance diagram for osmium::unknown_type:
[legend]
Collaboration diagram for osmium::unknown_type:
[legend]

## Public Member Functions

| unknown_type ()

## Detailed Description

This exception is thrown when a visitor encounters an unknown item type. Under usual circumstance this should not happen. If it does happen, it probably means the buffer contains different kinds of objects than were expected or that there is some kind of data corruption.

## Constructor & Destructor Documentation

## unknown_type()

osmium::unknown_type::unknown_type | ( |  | ) |

inline

The documentation for this struct was generated from the following file:

- include/osmium/osm/item_type.hpp